from flask import Response
from txtapi.handlers import application_handler

def start_application(workspace_name):  # noqa: E501
    """start_application

    Start application identified by workspace name # noqa: E501

    :param workspace_name: The workspace name
    :type workspace_name: string 

    :rtype: None
    """
    return application_handler.start_application(workspace_name)


def stop_application(workspace_name):  # noqa: E501
    """stop_application

    Stop the application identified by workspace name # noqa: E501

    :param workspace_name: The workspace name
    :type workspace_name: string 

    :rtype: None
    """
    return application_handler.stop_application(workspace_name)


def stop_applications():  # noqa: E501
    """stop_all

    Stop all running applications. # noqa: E501

    :rtype: None
    """
    return application_handler.stop_applications()
