# coding: utf-8

from __future__ import absolute_import
import unittest

from flask import json
from six import BytesIO

from txtapi.models.error_message import ErrorMessage  # noqa: E501
from txtapi.models.inline_response_default import InlineResponseDefault  # noqa: E501
from txtapi.test import BaseTestCase


class TestControllerController(BaseTestCase):
    """ControllerController integration test stubs"""

    def test_set_motor(self):
        """Test case for set_motor

        
        """
        motor = 56
        headers = { 
            'Accept': '*/*',
            'Content-Type': 'application/json',
        }
        response = self.client.open(
            '/api/v1/controller/{controller_id}/motor/{motor_id}'.format(controller_id=56, motor_id=56),
            method='POST',
            headers=headers,
            data=json.dumps(motor),
            content_type='application/json')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))


if __name__ == '__main__':
    unittest.main()
